#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: data-pprint
version: 0.2.4
id: data-pprint-0.2.4-634b25e813d7288aa776fe21d6fd99f4
key: datap_Iyy7BuC37RKD33WfhS47eS
license: BSD3
maintainer: divipp@gmail.com
stability: beta
synopsis: Prettyprint and compare Data values
description:
    Prettyprint and compare Data values.
    .
    *   Size limit for the output
    .
    *   Time limit for the computation
    .
    *   Escape exceptions
    .
    *   Do not escape unicode characters
    .
    *   Comparison: Highlight the first difference
    .
    *   Comparison: Yes, No or Maybe results
    .
    Probably you need only the '\''pprint'\'' and '\''(===)'\'' functions from the "Data.PPrint" module.
    .
    Usage examples:
    .
    > pprint [1..]
    > pprintTo 10000 $ repeat [1..]
    > pprint $ iterate (*10) 1
    > pprint $ map length $ replicate 5 [1..] ++ repeat []
    > pprint [2 `div` 0, error "xxx", 18, 4 `div` 0]
    > [1..10] === reverse [10,9..1]
    > [1..10] === reverse [10..1]
    > reverse [10..] === [1..]
    > [1..] === [1..99] ++ [101..]
    > ([1..], [1..]) === ([1..], [1..100])
    > (error "x", [1..]) === (0 `div` 0, reverse [1..])
    > error ("xx" ++ show (length [1..])) === 1
    > error ("xx" ++ error "yy") === 1
    > (error $ unlines $ replicate 300 "xxxxxxxxxxxxxxxxxxxxxxxxxxx") === 1
    > pprint ['\''a'\''..]
    > pprint $ "hello" ++ [error "x"] ++ "world!"
    .
    See also <http://pnyf.inf.elte.hu/fp/Show_en.xml>
    .
    Changes since 0.1: Refactoring, proper handling of nested errors
category: Testing, Text
author: Péter Diviánszky
exposed: True
exposed-modules:
    Data.PPrint Data.Data.Eval Data.Data.Compare Data.Data.GenRep
    Data.Data.GenRep.Functions Data.Data.GenRep.Doc
    Control.Exception.Pure System.SimpleTimeout
    System.SimpleTimeout.Limits System.IO.Parallel
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/data-pprint-0.2.4
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/data-pprint-0.2.4
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/data-pprint-0.2.4
hs-libraries: HSdata-pprint-0.2.4-Iyy7BuC37RKD33WfhS47eS
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    deepseq-1.4.1.1-264f30222df8f26ad705894f660a17b6
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    parallel-3.2.0.6-7fc1c74ef4215a71c3a5b51007178df6
    pretty-1.1.2.0-1fb5e112c0b0974fa63ea171ac3c34f6
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/data-pprint-0.2.4/html/data-pprint.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/data-pprint-0.2.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
